Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X GET "https://api.box.com/2.0/docgen_jobs/12345" \
-H 'box-version: 2025.0' \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "12345",
"type": "docgen_job",
"batch": {
"id": "12345",
"type": "docgen_batch"
},
"template_file": {
"type": "file",
"id": "42037322"
},
"template_file_version": {
"id": "12345",
"type": "file_version"
},
"status": "completed",
"output_type": "docx",
"output_file": {
"type": "file",
"id": "42037322"
},
"output_file_version": {
"id": "12345",
"type": "file_version"
},
"failures": {
"errors": [
"The tag 'customer_name' was not provided in the input data."
],
"warnings": [
"The tag 'optional_field' was provided but not used in the template."
]
}
}Get details of the Box Doc Gen job.
curl -i -X GET "https://api.box.com/2.0/docgen_jobs/12345" \
-H 'box-version: 2025.0' \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "12345",
"type": "docgen_job",
"batch": {
"id": "12345",
"type": "docgen_batch"
},
"template_file": {
"type": "file",
"id": "42037322"
},
"template_file_version": {
"id": "12345",
"type": "file_version"
},
"status": "completed",
"output_type": "docx",
"output_file": {
"type": "file",
"id": "42037322"
},
"output_file_version": {
"id": "12345",
"type": "file_version"
},
"failures": {
"errors": [
"The tag 'customer_name' was not provided in the input data."
],
"warnings": [
"The tag 'optional_field' was provided but not used in the template."
]
}
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Version header.
2025.0 Box Doc Gen job ID.
Details of the Box Doc Gen job.
A standard representation of a Box Doc Gen job.
The unique identifier that represent a Box Doc Gen job.
"12345"
The value will always be docgen_job.
docgen_job "docgen_job"
Box Doc Gen batch that the job belongs to.
Show child attributes
Box Doc Gen template used in the job.
Show child attributes
File version of a template.
Show child attributes
Status of the job.
submitted, completed, failed, completed_with_error, pending "completed"
Type of the generated file.
"docx"
The output file of the job. This property is null until the job is completed.
Show child attributes
File version of the output file. This property is null until the job is completed.
Show child attributes
Errors and warnings that occurred during document generation.
Show child attributes
Was this page helpful?